package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 帮我找房 
 * </p>
 *
 * @author jobob
 * @since 2021-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_search_house")
public class SearchHouseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 意向区域
     */
    private String intentArea;

    /**
     * 总预算范围最小价格
     */
    private String minPrice;

    /**
     * 总预算范围最大价格
     */
    private String maxPrice;
    /**
     * 0待回访，1已回访，2无效
     */
    private String status;

    /**
     * 审核结果
     */
    private String auditRemark;

    /**
     * 帮我找房类型 1买房2租房3海外置业4增值服务
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 问卷json字符串
     */
    private String questionnaire;

}
