package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 品牌开发商表 
 * </p>
 *
 * @author jobob
 * @since 2021-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_brand")
public class Brand implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 品牌id
     */
    @TableId(type = IdType.UUID)
    private String brandId;

    /**
     * 索引字母
     */
    @TableField("Index_letter")
    private String indexLetter;

    /**
     * 品牌商名称
     */
    private String brandName;

    /**
     * 品牌商宣传图
     */
    private String brandImg;

    /**
     * 品牌商logo
     */
    private String brandLogo;

    /**
     * 品牌商简介
     */
    private String brandRemark;

    /**
     * 创建人
     */
    @TableField("CREATED_BY")
    private Integer createdBy;

    /**
     * 创建时间
     */
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    @TableField("UPDATED_BY")
    private Integer updatedBy;

    /**
     * 更新时间
     */
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 组织结构id
     */
    private String institutionId;
}
